Add a job to run the STC Trellis HAG scenario

Change-Id: I3662a8ce17102fc54fb18fe5f230a8c2bdff0c11
diff --git a/jjb/onos/onos-run-stc-hag.sh b/jjb/onos/onos-run-stc-hag.sh
new file mode 100644
index 0000000..ae6bb02
--- /dev/null
+++ b/jjb/onos/onos-run-stc-hag.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# exit on errors
+set -eu -o pipefail
+
+# initialize build environment
+ONOS_ROOT=`pwd`
+. tools/build/envDefaults
+
+# initialize development environment for STC
+export JAVA_HOME=
+. tools/dev/bash_profile
+
+
+# always free the cell when exiting
+function cleanup {
+  cell return jenkins-${ONOS_VERSION}
+}
+
+trap cleanup EXIT
+
+# grab a cell to run on
+cell borrow 30 3+1 jenkins-${ONOS_VERSION}
+
+# build onos bits
+onos-buck build onos
+
+# set up STC parameters
+topo default
+export stcDumpLogs="true"
+export stcColor="false"
+export stcHaltOnError="false"
+export TERM="vt100"
+
+# run STC
+stc setup && stc net-trellis-hag-smoke
diff --git a/jjb/onos/onos-verify.yaml b/jjb/onos/onos-verify.yaml
index 5231c54..b60be92 100644
--- a/jjb/onos/onos-verify.yaml
+++ b/jjb/onos/onos-verify.yaml
@@ -461,6 +461,18 @@
       - shell: !include-raw-escape: onos-run-stc.sh
 
 
+- job-template:
+    name: 'onos-{stream}-stc-hag-verify'
+
+    <<: *job_boiler_plate
+    # yamllint disable-line rule:key-duplicates
+    <<: *hourly_boiler_plate
+
+    builders:
+    #put shell scripts in file then make sure shell check is installed on verify vms
+      - shell: !include-raw-escape: onos-run-stc-hag.sh
+
+
 - project:
     name: onos
     project-name: onos
@@ -624,3 +636,19 @@
 
     jobs:
       - 'onos-{stream}-stc-verify'
+
+- project:
+    name: onos-stc-hag-verify
+    project-name: onos-stc-hag-verify
+    project: onos
+
+    build-timeout: '30'
+    build-node: 'ubuntu16.04-basebuild-8c-15g'
+
+    stream:
+      - 'master'
+      - 'onos-1.13'
+      - 'onos-1.12'
+
+    jobs:
+      - 'onos-{stream}-stc-hag-verify'